%define gtk2_version 2.3.1

Summary: A framework for managing user passwords and other secrets
Name: gnome-keyring
Version: 2.20.1
Release: 3%{?dist}
License: GPLv2+ and LGPLv2+
Group: System Environment/Libraries
Source: http://download.gnome.org/sources/gnome-keyring/2.20/gnome-keyring-%{version}.tar.bz2
URL: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: dbus-devel >= 1.0
BuildRequires: gettext
BuildRequires: libgcrypt-devel
BuildRequires: pam-devel
BuildRequires: hal-devel
BuildRequires: autoconf, automake, libtool
BuildRequires: intltool
BuildRequires: perl(XML::Parser)

# http://bugzilla.gnome.org/show_bug.cgi?id=484612 
Patch0:    gnome-keyring-2.20-selinux-pam.patch

# autounlock does not currently work, see
# https://bugzilla.redhat.com/show_bug.cgi?id=250147
Patch1: no-autounlock.patch

%description
gnome-keyring manages passwords and other types of secrets
for the user, storing them encrypted with a main password.
Applications can use the gnome-keyring library to integrate
with the keyring.

%package devel
Summary: The files needed for gnome-keyring application development
License: LGPLv2+
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: glib2-devel
Requires: pkgconfig
# for /usr/share/gtk-doc/html
Requires: gtk-doc

%description devel
The gnome-keyring-devel package contains the libraries and
include files that you can use to develop applications that
use gnome-keyring.

%package pam
Summary: A pam module for unlocking keyrings at login time
License: LGPLv2+
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
# for /lib/security
Requires: pam

%description pam
The gnome-keyring-pam package contains a pam module that can
automatically unlock the "login" keyring when the user logs in 
and start the keyring daemon.


%prep
%setup -q -n gnome-keyring-%{version}

%patch0 -p1 -b .selinux_pam
%patch1 -p1 -b .no-autounlock

%build
aclocal
automake
autoconf
%configure --disable-gtk-doc --with-pam-dir=/%{_lib}/security
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install install-pam DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/pam_gnome_keyring.so

%find_lang gnome-keyring

rm $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gnome-keyring.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING COPYING.LIB
# LGPL
%{_libdir}/lib*.so.*
# GPL
%{_bindir}/*
%{_libexecdir}/*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%doc %{_datadir}/gtk-doc/html/gnome-keyring/

%files pam
%defattr(-, root, root)
/%{_lib}/security/*


%changelog
* Thu Oct 25 2007 Christopher Aillon <caillon@redhat.com> - 2.20.1-3
- Rebuild

* Mon Oct 15 2007 Matthias Clasen  <mclasen@redhat.com> - 2.20.1-2
- Disable the auto-unlock question for now (#312531)

* Mon Oct 15 2007 Matthias Clasen  <mclasen@redhat.com> - 2.20.1-1
- Update to 2.20.1
- Drop obsolete patches
- Add bug ref for selinux patch

* Tue Oct  9 2007 Matthias Clasen  <mclasen@redhat.com> - 2.20-6
- Avoid undefined symbols in the pam module

* Mon Oct  8 2007 Alexander Larsson <alexl@redhat.com> - 2.20-5
- Fixed minor issue with pam-selinux issue pointed out by stef

* Thu Oct  4 2007 Alexander Larsson <alexl@redhat.com> - 2.20-4
- Have the pam module tell the daemon to init the login keyring 
  without using the socket as selinux limits access to that

* Thu Oct  4 2007 Alexander Larsson <alexl@redhat.com> - 2.20-3
- Add NO_MATCH error patch from svn. Will fix apps that
  can't handle empty list matches

* Mon Oct 3 2007 Alexander Larsson <alexl@redhat.com> - 2.20-2
- Backport fix from svn where newly created keyrings weren't
  found
- Don't unset default keyring on daemon shutdown

* Mon Sep 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.20-1
- Update to 2.20

* Tue Sep  4 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.91-1
- Update to 2.19.91

* Sun Aug 12 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.90-1
- Update to 2.19.90

* Thu Aug  2 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.6.1-2
- Update License fields

* Mon Jul 30 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.6.1-1
- Update to 2.19.6.1

* Mon Jul 30 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.6-2
- Backport a fix from upstream

* Fri Jul 27 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.6-1
- Update to 2.19.6
- Add a pam subpackage

* Mon Jul  9 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.5-1
- Update to 2.19.5

* Sun May 20 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.2-1
- Update to 2.19.2

* Tue Mar 13 2007 Matthias Clasen <mclasen@redhat.com> - 0.8-1
- Update to 0.8

* Sat Feb 24 2007 Matthias Clasen <mclasen@redhat.com> - 0.7.92-1
- Update to 0.7.92

* Mon Feb 12 2007 Matthias Clasen <mclasen@redhat.com> - 0.7.91-1
- Update to 0.7.91

* Thu Feb  8 2007 Matthias Clasen <mclasen@redhat.com> - 0.7.3-2
- Package review cleanup

* Wed Jan 10 2007 Matthias Clasen <mclasen@redhat.com> - 0.7.3-1
- Update to 0.7.3

* Tue Dec 19 2006 Matthias Clasen <mclasen@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Mon Nov  6 2006 Matthias Clasen <mclasen@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Mon Sep  4 2006 Alexander Larsson <alexl@redhat.com> - 0.6.0-1
- update to 0.6.0

* Wed Aug 23 2006 Dan Williams <dcbw@redhat.com> - 0.5.2-2.fc6
- Fix null pointer dereference (Gnome.org #352587)

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.2-1.fc6
- Update to 0.5.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.5.1-1.1
- rebuild

* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.1-1
- Update to 0.5.1

* Mon May 29 2006 Alexander Larsson <alexl@redhat.com> - 0.4.9-2
- buildrequire gettext (#193377)

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.9-1
- Update to 0.4.9

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.8-1
- Update to 0.4.8

* Mon Feb 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.7-1
- Update to 0.4.7

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.4.6-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.4.6-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com> 0.4.6-1
- Update to 0.4.6

* Thu Sep 29 2005 Matthias Clasen <mclasen@redhat.com> 0.4.5-1
- Update to 0.4.5

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> 0.4.4-1
- Update to 0.4.4

* Tue Aug 16 2005 David Zeuthen <davidz@redhat.com> 0.4.3-2
- Rebuilt

* Thu Aug  4 2005 Matthias Clasen <mclasen@redhat.com> 0.4.3-1
- New upstream version

* Fri Mar 18 2005 David Zeuthen <davidz@redhat.com> 0.4.2-1
- New upstream version

* Wed Mar  2 2005 Alex Larsson <alexl@redhat.com> 0.4.1-2
- Rebuild

* Tue Feb  1 2005 Matthias Clasen <mclasen@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Mon Sep 13 2004 Alexander Larsson <alexl@redhat.com> - 0.4.0-1
- update to 0.4.0

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 0.3.3-1
- update to 0.3.3

* Thu Aug 12 2004 Alexander Larsson <alexl@redhat.com> - 0.3.2-1
- update to 0.3.2

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 0.2.0-1
- update to 0.2.0

* Wed Mar 10 2004 Alexander Larsson <alexl@redhat.com> 0.1.90-1
- update to 0.1.90

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Alexander Larsson <alexl@redhat.com> 0.1.4-1
- update to 0.1.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 0.1.3-1
- update to 0.1.3

* Mon Jan 26 2004 Bill Nottingham <notting@redhat.com>
- tweak summary

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 0.1.2-2
- devel package only needs glib2-devel, not gtk2-devel

* Fri Jan 23 2004 Alexander Larsson <alexl@redhat.com> 0.1.2-1
- First version
